JinYazhou +

【转载】Win10中安装PHP Manager for IIS

Windows10中自带的Server:Microsoft-IIS/10.0,然后这个10却让原本支持组件无法安装了,PHP Manager for IIS安装时提示“必须安装IIS7以上才可以安装”。那是不是真的就没法在新的IIS上安装了呢?显然不是的。自IIS7以来,微软的IIS更改并不大,架构一致,几乎所有IIS7能用的组件都能够在IIS7.7/8/8.5/10上安装。微软脑子秀逗,跳过了9,以为能解决版本识别的问题,没想到弄成10,还是出现了版本识别的问题,真是自己打自己的脸啊!
那么怎么办呢?改注册表!
打开regedit,找到:
HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters
右侧的 MajorVersion 是DWORD值,它的值十进制是10,把它改成9。然后运行php manager安装程序即可顺利安装上了!记得装完之后改回来。
PHP Manager for IIS的最新下载地址是:http://phpmanager.codeplex.com/releases/view/69115

原文地址:http://it.oyksoft.com/post/6880/

最新评论